> ## Documentation Index
> Fetch the complete documentation index at: https://docs.patch.gg/llms.txt
> Use this file to discover all available pages before exploring further.

# A game's settings

> How the game works with Patch, kept with the game rather than any release: the hosts its next release may connect to, its own ICE servers for WebRTC, and how many play together.



## OpenAPI

````yaml /api-reference/openapi.json get /games/{owner}/{slug}/settings
openapi: 3.1.0
info:
  title: Patch API
  version: 1.0.0
  description: >-
    The public API behind patch.gg, the desktop app and pch. Changes within v1
    are additive only. Errors are { error: { code, message, details } }; branch
    on code.
servers:
  - url: https://patch.gg/api/v1
security: []
paths:
  /games/{owner}/{slug}/settings:
    get:
      tags:
        - Games
      summary: A game's settings
      description: >-
        How the game works with Patch, kept with the game rather than any
        release: the hosts its next release may connect to, its own ICE servers
        for WebRTC, and how many play together.
      parameters:
        - schema:
            type: string
            example: mira
          required: true
          name: owner
          in: path
        - schema:
            type: string
            example: lantern-run
          required: true
          name: slug
          in: path
      responses:
        '200':
          description: Its settings
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GameSettings'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Not signed in
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Not allowed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    GameSettings:
      type: object
      properties:
        connects_to:
          type: array
          items:
            type: string
          description: Hosts its next release may fetch from or open WebSockets to
        webrtc:
          type:
            - object
            - 'null'
          properties:
            ice_servers:
              type: array
              items:
                type: string
          required:
            - ice_servers
          description: >-
            Its own ICE servers for WebRTC in its next release, besides Patch's
            relay for direct links; null: none of its own
        players:
          type:
            - object
            - 'null'
          properties:
            min:
              type: integer
            max:
              type: integer
          required:
            - min
            - max
        updated_at:
          type:
            - string
            - 'null'
      required:
        - connects_to
        - webrtc
        - players
        - updated_at
    Error:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              example: version_exists
            message:
              type: string
            details: {}
          required:
            - code
            - message
      required:
        - error

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.